# Get

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/network-policies/{network_policy_id}`

Gets a network policy.

API scopes: networking

## Path parameters

- `network_policy_id` (string, optional)
  The unique identifier of the network policy to retrieve.
  Example: `example-policy-name`
  Constraints: `^[a-zA-Z0-9_.-]{1,32}$`
- `account_id` (string, optional)
  Your <Databricks> account ID. You can find your account ID in your <Databricks> accounts console.
  Example: `123e4567-e89b-12d3-a456-426614174000`

## Returns

Returns the AccountNetworkPolicy object.

## Response

```json
{
  "network_policy_id": "example-policy-name",
  "account_id": "123e4567-e89b-12d3-a456-426614174000",
  "egress": {
    "network_access": {}
  },
  "ingress": {
    "public_access": {},
    "private_access": {}
  },
  "ingress_dry_run": {
    "public_access": {},
    "private_access": {}
  }
}
```

